{
  "type": "minecraft:smithing_transform",
  "addition": {
    "item": "minecraft:lava_bucket"
  },
  "base": {
    "item": "minecraft:iron_block"
  },
  "result": {
    "id": "minecraft:knowledge_book"
  },
  "template": {
    "item": "minecraft:emerald_block"
  }
}